%global         momorel 1
%global         xfcever 4.2.1

Name:		dbh
Summary:        Disk based hash library 
Version: 	1.0.22
Release: 	%{momorel}m
URL:            http://dbh.sourceforge.net/
License:	QPL
Group: 		Applications/Databases
Source:		http://www.xfce.org/archive/xfce-%{xfcever}/src/%{name}-%{version}.tar.gz
NoSource:        0
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description 
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of 
electronic data, such as graphic information. With the multidimensional binary 
tree it is possible to mathematically prove that access time to any 
particular record is minimized (using the concept of critical points from 
calculus), which provides the means to construct optimized databases for 
particular applications.  

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
#make install DESTDIR=$RPM_BUILD_ROOT 
%makeinstall

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/*.html
%doc examples/simple_hash.c examples/trafico.c examples/Makefile
%{_libdir}/*
%{_includedir}/*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.22-1m)
- update to 1.0.22

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.20-2m)
- enable x86_64.

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.20-1m)

* Tue Apr 20 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.18-2m)
- tar ball seems to have been corrected so autogen.sh is included.
- updated spec file accordingly.

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.18-1m)
- version update to 1.0.18
- autogen.sh is missing from the tar ball and copied from 1.0-17 tar ball.

* Thu Sep 11 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.17-1m)
- version 1.0-17

* Sun Mar 30 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.14-0.0.1m)
- version 1.0-14

* Sat Mar 1 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.11-0.0.1m)
- build for Momonga Linux
- modified src.rpm at project homepage
